# GFonts Mirror Interface
<small>I need a better name :p</small>

This utility helps create CSS files to load your fonts from a mirror of Google Fonts from Google Font links.

## Usage

1. Go to [gfonts.sofiaritz.com](https://gfonts.sofiaritz.com/).
2. Enter your Mirror URL (an Internet-accesible clone of the [Google Fonts repo](https://github.com/google/fonts)).
    * If your site has low-traffic, feel free to use [my mirror](https://cdn.sofiaritz.com/fonts) :)
3. Click the _Transform_ button and the CSS will be generated for you!
    * You can use the _Copy code_ button, but sometimes it fails, so keep that in mind!

## Self-hosting

### Google Fonts Mirror

> Check the [Documentation repo](https://git.sofiaritz.com/GFonts/documentation/src/branch/main/README.md#self-hosting)
> for more information :)

## Contributing

Feel free to contribute to this project! Create an account on my git server, open an issue or a PR, and I'll make sure to
review it as soon as possible :)

You can also send me the [diff](https://git-scm.com/docs/git-diff)
or use [git-send-email](https://git-scm.com/docs/git-send-email).

### Notes
* Make sure to delete your `yarn.lock` when a new [pb-parser](https://git.sofiaritz.com/sofia/pb-parser/src/branch/main)
commit is pushed.

## Decentralization

Right now the only instance of this interface is [mine](https://gfonts.sofiaritz.com/), and the only Google Fonts mirror
that I know is mine.

I try to maintain everything and help everyone to achieve decentralization, but at the end of the day I'm just a random
woman.

**Do you have a Google Fonts mirror?**
1. Add a comment to the [issue](https://git.sofiaritz.com/GFonts/gfonts-interface/issues/2) using the template, or
2. [contact me](https://sofiaritz.com/en/contact)

**Do you have another instance of this interface?** Please, [contact me](https://sofiaritz.com/en/contact)!

Thank you :)
